Index: kde-2.1/kdepim-2.1/admin/ltmain.sh
diff -u kde-2.1/kdepim-2.1/admin/ltmain.sh:1.1.1.1 kde-2.1/kdepim-2.1/admin/ltmain.sh:1.2
--- kde-2.1/kdepim-2.1/admin/ltmain.sh:1.1.1.1	Tue Feb 27 11:00:07 2001
+++ kde-2.1/kdepim-2.1/admin/ltmain.sh	Fri Mar  2 10:51:18 2001
@@ -2868,6 +2868,8 @@
 	     test -n "$hardcode_libdirs"; then
 	    libdir="$hardcode_libdirs"
 	    eval dep_rpath=\"$hardcode_libdir_flag_spec\"
+	  else
+	    dep_rpath="${wl}-bnolibpath"
 	  fi
 	  if test -n "$runpath_var" && test -n "$perm_rpath"; then
 	    # We should set the runpath_var.
@@ -3274,6 +3276,8 @@
 	 test -n "$hardcode_libdirs"; then
 	libdir="$hardcode_libdirs"
 	eval rpath=\" $hardcode_libdir_flag_spec\"
+      else
+        dep_rpath=" ${wl}-bnolibpath"
       fi
       compile_rpath="$rpath"
 
@@ -3310,6 +3314,8 @@
 	 test -n "$hardcode_libdirs"; then
 	libdir="$hardcode_libdirs"
 	eval rpath=\" $hardcode_libdir_flag_spec\"
+      else
+        dep_rpath=" ${wl}-bnolibpath"
       fi
       finalize_rpath="$rpath"
 
@@ -3502,7 +3508,9 @@
       # AIX runtime linking requires linking programs with -Wl,-brtl and libs with -Wl,-G
       case "$host" in
         *-*-aix4*) compile_command="$compile_command $wl-brtl"
-                   finalize_command="$finalize_command $wl-brtl" ;;
+                   compile_command=`$echo "X$compile_command" | $Xsed -e "s/\$CC/\$CC $wl-bnolibpath/1"`
+                   finalize_command="$finalize_command $wl-brtl"
+                   finalize_command=`$echo "X$finalize_command" | $Xsed -e "s/\$CC/\$CC $wl-bnolibpath/1"` ;;
       esac
 
       if test $need_relink = no || test "$build_libtool_libs" != yes; then
@@ -4393,10 +4401,18 @@
 	      esac
 	    fi
 	    libfile="$libdir/"`$echo "X$lib" | $Xsed -e 's%^.*/%%g'` ### testsuite: skip nested quoting test
-	    if test -n "$libdir" && test ! -f "$libfile"; then
-	      $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
-	      finalize=no
-	    fi
+            # Make sure we look in the destination dir as well as the final dir
+            if test -z "$DESTDIR"; then
+	      if test -n "$libdir" && test ! -f "$libfile"; then
+		$echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
+		finalize=no
+	      fi
+            else
+              if test -n "$libdir" && test ! -f "$libfile" && test -n "$DESTDIR/$libdir" && test ! -f "$DESTDIR/$libfile"; then
+                $echo "$modename: warning: \`$lib' has not been installed in \`$libdir' or \`\$DESTDIR/$libdir'" 1>&2
+                finalize=no
+              fi
+            fi
 	  done
 
 	  relink_command=
@@ -4421,6 +4437,8 @@
 	      outputname="$tmpdir/$file"
 	      # Replace the output file specification.
 	      relink_command=`$echo "X$relink_command" | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g'`
+              # Make sure we look in the destination dir as well as the final dir
+              test -z "$DESTDIR" || relink_command=`$echo "X$relink_command" | $Xsed -e 's%-L'"$libdir"'%-L'"$libdir"' -L'"$DESTDIR/$libdir"'%g'`
 
 	      $show "$relink_command"
 	      if $run eval "$relink_command"; then :
Index: kde-2.1/kdepim-2.1/korganizer/calprinter.cpp
diff -u kde-2.1/kdepim-2.1/korganizer/calprinter.cpp:1.1.1.1 kde-2.1/kdepim-2.1/korganizer/calprinter.cpp:1.2
--- kde-2.1/kdepim-2.1/korganizer/calprinter.cpp:1.1.1.1	Tue Feb 27 10:59:45 2001
+++ kde-2.1/kdepim-2.1/korganizer/calprinter.cpp	Fri Mar  2 12:18:16 2001
@@ -1,10 +1,16 @@
 /* CalPrinter.cpp
  * Copyright (c) 1998 Preston Brown
  *
- * $Id: calprinter.cpp,v 1.43 2001/02/09 13:17:41 cschumac Exp $
+ * $Id: calprinter.cpp,v 1.2 2001/03/02 18:18:16 arbab Exp $
  */
 
+#if defined(_AIX) && !defined(_AIX51)
+#  define exception _exception
+#endif
 #include <math.h>
+#if defined(_AIX) && !defined(_AIX51)
+#  undef exception
+#endif
 
 #include <qpainter.h>
 #include <qbuttongroup.h>
Index: kde-2.1/kdepim-2.1/korganizer/versit/vcc.c
diff -u kde-2.1/kdepim-2.1/korganizer/versit/vcc.c:1.1.1.1 kde-2.1/kdepim-2.1/korganizer/versit/vcc.c:1.2
--- kde-2.1/kdepim-2.1/korganizer/versit/vcc.c:1.1.1.1	Tue Feb 27 10:59:53 2001
+++ kde-2.1/kdepim-2.1/korganizer/versit/vcc.c	Fri Mar  2 10:53:35 2001
@@ -1465,7 +1465,7 @@
     return 0;
     }
 
-static char lexGetc_()
+static int lexGetc_()
     {
     /* get next char from input, no buffering. */
     if (lexBuf.curPos == lexBuf.inputLen)
Index: kde-2.1/kdepim-2.1/korganizer/versit/vcc.y
diff -u kde-2.1/kdepim-2.1/korganizer/versit/vcc.y:1.1.1.1 kde-2.1/kdepim-2.1/korganizer/versit/vcc.y:1.2
--- kde-2.1/kdepim-2.1/korganizer/versit/vcc.y:1.1.1.1	Tue Feb 27 10:59:53 2001
+++ kde-2.1/kdepim-2.1/korganizer/versit/vcc.y	Fri Mar  2 10:53:35 2001
@@ -543,7 +543,7 @@
     return 0;
     }
 
-static char lexGetc_()
+static int lexGetc_()
     {
     /* get next char from input, no buffering. */
     if (lexBuf.curPos == lexBuf.inputLen)
Index: kde-2.1/kdepim-2.1/libical/ltmain.sh
diff -u kde-2.1/kdepim-2.1/libical/ltmain.sh:1.1.1.1 kde-2.1/kdepim-2.1/libical/ltmain.sh:1.2
--- kde-2.1/kdepim-2.1/libical/ltmain.sh:1.1.1.1	Tue Feb 27 11:00:08 2001
+++ kde-2.1/kdepim-2.1/libical/ltmain.sh	Fri Mar  2 10:51:18 2001
@@ -2868,6 +2868,8 @@
 	     test -n "$hardcode_libdirs"; then
 	    libdir="$hardcode_libdirs"
 	    eval dep_rpath=\"$hardcode_libdir_flag_spec\"
+	  else
+	    dep_rpath="${wl}-bnolibpath"
 	  fi
 	  if test -n "$runpath_var" && test -n "$perm_rpath"; then
 	    # We should set the runpath_var.
@@ -3274,6 +3276,8 @@
 	 test -n "$hardcode_libdirs"; then
 	libdir="$hardcode_libdirs"
 	eval rpath=\" $hardcode_libdir_flag_spec\"
+      else
+        dep_rpath=" ${wl}-bnolibpath"
       fi
       compile_rpath="$rpath"
 
@@ -3310,6 +3314,8 @@
 	 test -n "$hardcode_libdirs"; then
 	libdir="$hardcode_libdirs"
 	eval rpath=\" $hardcode_libdir_flag_spec\"
+      else
+        dep_rpath=" ${wl}-bnolibpath"
       fi
       finalize_rpath="$rpath"
 
@@ -3502,7 +3508,9 @@
       # AIX runtime linking requires linking programs with -Wl,-brtl and libs with -Wl,-G
       case "$host" in
         *-*-aix4*) compile_command="$compile_command $wl-brtl"
-                   finalize_command="$finalize_command $wl-brtl" ;;
+                   compile_command=`$echo "X$compile_command" | $Xsed -e "s/\$CC/\$CC $wl-bnolibpath/1"`
+                   finalize_command="$finalize_command $wl-brtl"
+                   finalize_command=`$echo "X$finalize_command" | $Xsed -e "s/\$CC/\$CC $wl-bnolibpath/1"` ;;
       esac
 
       if test $need_relink = no || test "$build_libtool_libs" != yes; then
@@ -4393,10 +4401,18 @@
 	      esac
 	    fi
 	    libfile="$libdir/"`$echo "X$lib" | $Xsed -e 's%^.*/%%g'` ### testsuite: skip nested quoting test
-	    if test -n "$libdir" && test ! -f "$libfile"; then
-	      $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
-	      finalize=no
-	    fi
+            # Make sure we look in the destination dir as well as the final dir
+            if test -z "$DESTDIR"; then
+	      if test -n "$libdir" && test ! -f "$libfile"; then
+		$echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
+		finalize=no
+	      fi
+            else
+              if test -n "$libdir" && test ! -f "$libfile" && test -n "$DESTDIR/$libdir" && test ! -f "$DESTDIR/$libfile"; then
+                $echo "$modename: warning: \`$lib' has not been installed in \`$libdir' or \`\$DESTDIR/$libdir'" 1>&2
+                finalize=no
+              fi
+            fi
 	  done
 
 	  relink_command=
@@ -4421,6 +4437,8 @@
 	      outputname="$tmpdir/$file"
 	      # Replace the output file specification.
 	      relink_command=`$echo "X$relink_command" | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g'`
+              # Make sure we look in the destination dir as well as the final dir
+              test -z "$DESTDIR" || relink_command=`$echo "X$relink_command" | $Xsed -e 's%-L'"$libdir"'%-L'"$libdir"' -L'"$DESTDIR/$libdir"'%g'`
 
 	      $show "$relink_command"
 	      if $run eval "$relink_command"; then :
Index: kde-2.1/kdepim-2.1/libical/src/libicalss/icalfileset.c
diff -u kde-2.1/kdepim-2.1/libical/src/libicalss/icalfileset.c:1.1.1.1 kde-2.1/kdepim-2.1/libical/src/libicalss/icalfileset.c:1.2
--- kde-2.1/kdepim-2.1/libical/src/libicalss/icalfileset.c:1.1.1.1	Tue Feb 27 11:00:12 2001
+++ kde-2.1/kdepim-2.1/libical/src/libicalss/icalfileset.c	Fri Mar  2 12:18:16 2001
@@ -321,7 +321,7 @@
 icalcomponent* icalfileset_get_component(icalfileset* cluster){
    struct icalfileset_impl *impl = (struct icalfileset_impl*)cluster;
 
-   icalerror_check_arg_re((impl!=0),"cluster",ICAL_BADARG_ERROR);
+   icalerror_check_arg_re((impl!=0),"cluster",(icalcomponent*)ICAL_BADARG_ERROR);
 
    return impl->cluster;
 }
